Bug 1464793 - dnscrypt-proxy-2.0.10 is available
dnscrypt-proxy-2.0.10 is available
Status: NEW
Product: Fedora
Classification: Fedora
Component: dnscrypt-proxy (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nikos Roussos
Fedora Extras Quality Assurance
: FutureFeature, Triaged
: 1452995 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-25 15:56 EDT by Upstream Release Monitoring
Modified: 2018-04-18 13:53 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 2.0.0alpha3 (#1464793) (1002 bytes, patch)
2018-01-11 07:14 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.0alpha6 (#1464793) (1002 bytes, patch)
2018-01-15 19:14 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.0alpha9 (#1464793) (1002 bytes, patch)
2018-01-17 07:14 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.0beta1 (#1464793) (998 bytes, patch)
2018-01-17 19:14 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.0beta3 (#1464793) (998 bytes, patch)
2018-01-19 07:14 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.0beta8 (#1464793) (998 bytes, patch)
2018-01-21 19:14 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.0beta9 (#1464793) (998 bytes, patch)
2018-01-24 19:14 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.0beta11 (#1464793) (1002 bytes, patch)
2018-01-28 19:14 EST, Upstream Release Monitoring
no flags Details | Diff
[patch] Update to 2.0.0beta12 (#1464793) (1002 bytes, patch)
2018-01-30 19:15 EST, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2017-06-25 15:56:28 EDT
Latest upstream release: 1.9.5
Current version/release in rawhide: 1.9.0-2.fc26
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 1 Christian Stadelmann 2017-09-06 14:37:26 EDT
Can you please update dnscrypt to a more recent version?
Comment 2 Rex Dieter 2017-09-06 14:39:18 EDT
*** Bug 1452995 has been marked as a duplicate of this bug. ***
Comment 3 Upstream Release Monitoring 2018-01-11 07:14:31 EST
Latest upstream release: 2.0.0alpha3
Current version/release in rawhide: 1.9.0-5.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 4 Upstream Release Monitoring 2018-01-11 07:14:37 EST
Created attachment 1379985 [details]
[patch] Update to 2.0.0alpha3 (#1464793)
Comment 5 Upstream Release Monitoring 2018-01-11 07:17:52 EST
hotness's scratch build of dnscrypt-proxy-2.0.0alpha3-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=24129312
Comment 6 Upstream Release Monitoring 2018-01-15 19:14:18 EST
Latest upstream release: 2.0.0alpha6
Current version/release in rawhide: 1.9.0-5.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 7 Upstream Release Monitoring 2018-01-15 19:14:23 EST
Created attachment 1381788 [details]
[patch] Update to 2.0.0alpha6 (#1464793)
Comment 8 Upstream Release Monitoring 2018-01-15 19:17:40 EST
hotness's scratch build of dnscrypt-proxy-2.0.0alpha6-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=24222856
Comment 9 Upstream Release Monitoring 2018-01-17 07:14:18 EST
Latest upstream release: 2.0.0alpha9
Current version/release in rawhide: 1.9.0-5.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 10 Upstream Release Monitoring 2018-01-17 07:14:28 EST
Created attachment 1382379 [details]
[patch] Update to 2.0.0alpha9 (#1464793)
Comment 11 Upstream Release Monitoring 2018-01-17 07:18:17 EST
hotness's scratch build of dnscrypt-proxy-2.0.0alpha9-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=24243064
Comment 12 Upstream Release Monitoring 2018-01-17 19:14:12 EST
Latest upstream release: 2.0.0beta1
Current version/release in rawhide: 1.9.0-5.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 13 Upstream Release Monitoring 2018-01-17 19:14:19 EST
Created attachment 1382654 [details]
[patch] Update to 2.0.0beta1 (#1464793)
Comment 14 Upstream Release Monitoring 2018-01-17 19:17:44 EST
hotness's scratch build of dnscrypt-proxy-2.0.0beta1-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=24252402
Comment 15 Upstream Release Monitoring 2018-01-19 07:14:20 EST
Latest upstream release: 2.0.0beta3
Current version/release in rawhide: 1.9.0-5.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 16 Upstream Release Monitoring 2018-01-19 07:14:26 EST
Created attachment 1383357 [details]
[patch] Update to 2.0.0beta3 (#1464793)
Comment 17 Upstream Release Monitoring 2018-01-19 07:17:57 EST
hotness's scratch build of dnscrypt-proxy-2.0.0beta3-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=24299802
Comment 18 Upstream Release Monitoring 2018-01-21 19:14:20 EST
Latest upstream release: 2.0.0beta8
Current version/release in rawhide: 1.9.0-5.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 19 Upstream Release Monitoring 2018-01-21 19:14:26 EST
Created attachment 1384158 [details]
[patch] Update to 2.0.0beta8 (#1464793)
Comment 20 Upstream Release Monitoring 2018-01-21 19:17:54 EST
hotness's scratch build of dnscrypt-proxy-2.0.0beta8-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=24357920
Comment 21 Upstream Release Monitoring 2018-01-24 19:14:14 EST
Latest upstream release: 2.0.0beta9
Current version/release in rawhide: 1.9.0-5.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 22 Upstream Release Monitoring 2018-01-24 19:14:21 EST
Created attachment 1385832 [details]
[patch] Update to 2.0.0beta9 (#1464793)
Comment 23 Upstream Release Monitoring 2018-01-24 19:18:09 EST
hotness's scratch build of dnscrypt-proxy-2.0.0beta9-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=24423496
Comment 24 Upstream Release Monitoring 2018-01-28 19:14:17 EST
Latest upstream release: 2.0.0beta11
Current version/release in rawhide: 1.9.0-5.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 25 Upstream Release Monitoring 2018-01-28 19:14:23 EST
Created attachment 1387452 [details]
[patch] Update to 2.0.0beta11 (#1464793)
Comment 26 Upstream Release Monitoring 2018-01-28 19:20:04 EST
hotness's scratch build of dnscrypt-proxy-2.0.0beta11-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=24525043
Comment 27 Upstream Release Monitoring 2018-01-30 19:14:56 EST
Latest upstream release: 2.0.0beta12
Current version/release in rawhide: 1.9.0-5.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 28 Upstream Release Monitoring 2018-01-30 19:15:01 EST
Created attachment 1388689 [details]
[patch] Update to 2.0.0beta12 (#1464793)
Comment 29 Upstream Release Monitoring 2018-01-30 19:17:38 EST
hotness's scratch build of dnscrypt-proxy-2.0.0beta12-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=24579933
Comment 30 Upstream Release Monitoring 2018-02-04 07:14:21 EST
Latest upstream release: 2.0.0rc3
Current version/release in rawhide: 1.9.0-5.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 31 Upstream Release Monitoring 2018-02-07 07:14:47 EST
Latest upstream release: 2.0.0
Current version/release in rawhide: 1.9.0-5.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 32 Upstream Release Monitoring 2018-02-21 07:14:24 EST
Latest upstream release: 2.0.2
Current version/release in rawhide: 1.9.0-6.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 33 Upstream Release Monitoring 2018-02-25 19:19:48 EST
Latest upstream release: 2.0.4
Current version/release in rawhide: 1.9.0-6.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 34 Upstream Release Monitoring 2018-02-28 19:14:16 EST
Latest upstream release: 2.0.5
Current version/release in rawhide: 1.9.0-6.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 35 Upstream Release Monitoring 2018-03-02 07:14:15 EST
Latest upstream release: 2.0.6
Current version/release in rawhide: 1.9.0-6.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 36 Upstream Release Monitoring 2018-03-19 08:14:14 EDT
Latest upstream release: 2.0.7
Current version/release in rawhide: 1.9.0-6.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 37 Upstream Release Monitoring 2018-03-29 08:15:11 EDT
Latest upstream release: 2.0.8
Current version/release in rawhide: 1.9.0-6.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 38 Marcin Zajaczkowski 2018-04-01 21:18:50 EDT
It would be useful as dnscrypt-proxy 2.0+ supports DNS over HTTPS:
https://github.com/jedisct1/dnscrypt-proxy
Comment 39 Upstream Release Monitoring 2018-04-07 20:13:06 EDT
Latest upstream release: 2.0.9b1
Current version/release in rawhide: 1.9.0-6.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 40 Upstream Release Monitoring 2018-04-09 08:13:08 EDT
Latest upstream release: 2.0.9b2
Current version/release in rawhide: 1.9.0-6.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 41 Upstream Release Monitoring 2018-04-16 20:13:11 EDT
Latest upstream release: 2.0.10
Current version/release in rawhide: 1.9.0-6.fc28
URL: https://github.com/jedisct1/dnscrypt-proxy

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/15546/
Comment 42 Evan Klitzke 2018-04-18 13:53:22 EDT
The current RPM for dnscrypt-proxy is not very useful because it has an extremeley outdated list of upstream providers, and the authors no longer maintain the csv server file format. For instance, the dnscrypt-proxy.conf shipped in the current RPM directs users to https://download.dnscrypt.org/dnscrypt-proxy/dnscrypt-resolvers.csv which is a broken link. It also mentions an update script dnscrypt-update-resolvers.sh which is not included in the RPM (but is probably useless anyway as it just tries to fetch the aforementioned link).

As a concrete example: Cloudflare made a big announcement about their new public DNS servers 1.1.1.1 and 1.0.0.1 which are supported in dnscrypt-proxy 2.0, but are not in the CSV file shipped by Fedora.

It looks like the spec file needs to be more or less rewritten, as dnscrypt-proxy 2.0 is a rewrite in Go (rather than C). I'm not sure what the packaging policy is for this but I can take a try at updating the spec file if there is interest and I can get review on it.

Note You need to log in before you can comment on or make changes to this bug.